package com.ejie.ab79.model.preguntasRespuestas;

import java.util.Date;
import java.util.List;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * RespuestasExpediente  
 * 
 *  
 */

public class RespuestasExpediente implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRespuestaExpediente;
	private PreguntasExpediente preguntaExpediente;
	private String respuesta;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private String observacionesInspeccionCas;
	private String observacionesInspeccionEus;
	private List<FicherosAdjExp> ficherosAdjExp;

	/**
	 * Method 'RespuestasExpediente'.
	 */
	public RespuestasExpediente() {
	}

	/**
	 * Method 'RespuestasExpediente'.
	 * 
	 * @param idRespuestaExpediente
	 *            Integer
	 */
	public RespuestasExpediente(Integer idRespuestaExpediente) {
		this.idRespuestaExpediente = idRespuestaExpediente;
	}

	/**
	 * Method 'RespuestasExpediente'.
	 * 
	 * @param idRespuestaExpediente
	 *            Integer
	 * @param preguntaExpediente
	 *            PreguntasExpediente
	 * @param respuesta
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public RespuestasExpediente(Integer idRespuestaExpediente, PreguntasExpediente preguntaExpediente, String respuesta,
			Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion,
			String observacionesInspeccionCas, String observacionesInspeccionEus) {

		this.idRespuestaExpediente = idRespuestaExpediente;
		this.preguntaExpediente = preguntaExpediente;
		this.respuesta = respuesta;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
		this.observacionesInspeccionCas = observacionesInspeccionCas;
		this.observacionesInspeccionEus = observacionesInspeccionEus;
	}

	/**
	 * Method 'getIdRespuestaExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getIdRespuestaExpediente() {
		return this.idRespuestaExpediente;
	}

	/**
	 * Method 'setIdRespuestaExpediente'.
	 *
	 * @param idRespuestaExpediente
	 *            Integer
	 * @return
	 */

	public void setIdRespuestaExpediente(Integer idRespuestaExpediente) {
		this.idRespuestaExpediente = idRespuestaExpediente;
	}

	/**
	 * Method 'getIdPreguntaExpediente'.
	 *
	 * @return PreguntasExpediente
	 */

	public PreguntasExpediente getPreguntaExpediente() {
		return this.preguntaExpediente;
	}

	/**
	 * Method 'setPreguntaExpediente'.
	 *
	 * @param preguntaExpediente
	 *            PreguntasExpediente
	 * @return
	 */

	public void setPreguntaExpediente(PreguntasExpediente preguntaExpediente) {
		this.preguntaExpediente = preguntaExpediente;
	}

	/**
	 * Method 'getRespuesta'.
	 *
	 * @return String
	 */

	public String getRespuesta() {
		return this.respuesta;
	}

	/**
	 * Method 'setRespuesta'.
	 *
	 * @param respuesta
	 *            String
	 * @return
	 */

	public void setRespuesta(String respuesta) {
		this.respuesta = respuesta;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getObservacionesInspeccionCas'
	 * 
	 * @return String
	 */

	public String getObservacionesInspeccionCas() {
		return this.observacionesInspeccionCas;
	}

	/**
	 * Method 'setObservacionesInspeccionCas'
	 * 
	 * @param observacionesInspeccionCas
	 *            String
	 * @return
	 */

	public void setObservacionesInspeccionCas(String observacionesInspeccionCas) {
		this.observacionesInspeccionCas = observacionesInspeccionCas;
	}

	/**
	 * Method 'getObservacionesInspeccionEus'
	 * 
	 * @return String
	 */

	public String getObservacionesInspeccionEus() {
		return this.observacionesInspeccionEus;
	}

	/**
	 * Method 'setObservacionesInspeccion Eus'
	 * 
	 * @param observacionesInspeccionEus
	 *            String
	 * @return
	 */

	public void setObservacionesInspeccionEus(String observacionesInspeccionEus) {
		this.observacionesInspeccionEus = observacionesInspeccionEus;
	}

	/**
	 * Method 'getFicherosAdjExp'.
	 *
	 * @return List<FicherosAdjExp>
	 */

	public List<FicherosAdjExp> getFicherosAdjExp() {
		return ficherosAdjExp;
	}

	/**
	 * Method 'setFicherosAdjExp'.
	 *
	 * @param ficherosAdjExp
	 *            List<FicherosAdjExp>
	 * @return
	 */

	public void setFicherosAdjExp(List<FicherosAdjExp> ficherosAdjExp) {
		this.ficherosAdjExp = ficherosAdjExp;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRespuestaExpediente: ").append(this.idRespuestaExpediente).append(" ]");
		result.append(", [ idPreguntaExpediente: ")
				.append(this.preguntaExpediente != null ? this.preguntaExpediente.getIdPreguntaExpediente() : null)
				.append(" ]");
		result.append(", [ respuesta: ").append(this.respuesta).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
